package com.kaixed.kchat.data.objectbox.entity

import io.objectbox.annotation.Entity
import io.objectbox.annotation.Id

/**
 * @Author: kaixed
 * @Date: 2024/10/24 17:07
 */

@Entity
data class Conversation(
    @Id
    var id: Long = 0L,
    var talkerId: String,
    var nickname: String,
    var avatarUrl: String,
    var lastContent: String,
    var timestamp: Long,
    var unreadCount: Int = 0,
    var show: Boolean = true
)
