package com.kaixed.kchat.data.objectbox.entity

import io.objectbox.annotation.Entity
import io.objectbox.annotation.Id
import kotlinx.serialization.Serializable

/**
 * @Author: kaixed
 * @Date: 2024/11/6 19:24
 */

@Entity
@Serializable
data class UserInfo(
    @Id
    var id: Long = 0,
    var username: String,
    var nickname: String,
    var avatarUrl: String,
    var signature: String,
    var telephone: String,
    var status: String? = null
)
